Class | Spec::Mocks::BooleanArgConstraint
In: | lib/spec/mocks/argument_expectation.rb
Parent: | Object

### Methods

== matches? new

### Public Class methods

new(ignore)

[Source]

        # File lib/spec/mocks/argument_expectation.rb, line 75
    75:       def initialize(ignore)
    76:       end

### Public Instance methods

==(value)

[Source]

        # File lib/spec/mocks/argument_expectation.rb, line 78
    78:       def ==(value)
    79:         matches?(value)
    80:       end

matches?(value)

[Source]

        # File lib/spec/mocks/argument_expectation.rb, line 82
    82:       def matches?(value)
    83:         return true if value.is_a?(TrueClass)
    84:         return true if value.is_a?(FalseClass)
    85:         false
    86:       end

[Validate]